//=======================================
#ifndef _xpmbrowser_h
//====== put your code below here =======
#define _xpmbrowser_h
#include <vdk/FileDialog.h>
 
class VDKXpmBrowser: public VDKFileDialog
{
protected:
	bool OpenClick(VDKObject*);
	VDKPixmap* pixmap;
	static void XpmSelected(GtkWidget* wid,
			  gint row,
			  gint column,
			  GdkEvent *event,
			  gpointer gp);
public:
	VDKXpmBrowser(VDKForm* owner,
		FileStringArray* selections,
		char* title = "", 
		GtkWindowType display = GTK_WINDOW_TOPLEVEL);
	 virtual ~VDKXpmBrowser() {}
	DECLARE_SIGNAL_MAP(VDKXpmBrowser);
};
//=======================================
#endif
